Skip to main content
PATCH
/
policies
/
{policyId}
Edit Policy
curl --request PATCH \
  --url https://api.example.com/policies/{policyId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "customFields": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "name": "<string>",
  "acceptedEmailDomains": [
    "<string>"
  ],
  "maximumNumberOfBikes": 2
}
'
import requests

url = "https://api.example.com/policies/{policyId}"

payload = {
    "customFields": [
        {
            "key": "<string>",
            "value": "<string>"
        }
    ],
    "name": "<string>",
    "acceptedEmailDomains": ["<string>"],
    "maximumNumberOfBikes": 2
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    customFields: [{key: '<string>', value: '<string>'}],
    name: '<string>',
    acceptedEmailDomains: ['<string>'],
    maximumNumberOfBikes: 2
  })
};

fetch('https://api.example.com/policies/{policyId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}

Path Parameters

policyId
string
required

the policy's id

Query Parameters

whenAt
string

Optional: the whenAt datetime

branchId
string

Optional: the branchId

Body

application/json
customFields
object[]

custom fields per product

name
string

Optional: Name of the entity

invoicingConfig
object

the policy's invoicing configuration

periodDuration
object

the policy's period duration

acceptedEmailDomains
string[]

the child policy's customer accepted email domains

acceptedQuoteOptions
object
maximumNumberOfBikes
number

max number of bike

Required range: x >= 1

Response

The response is of type object.